# Interface IDateToStringOptions

## Index

### Properties

- alwaysIncludeTime
- includeTimeIfThisWeek
- includeTimeIfToday
- now
- omitYearIfCurrentOne
- predefinedFormat
- useLongDateFormat
- useTodayYesterdayAndTomorrow
- useWeekdayIfThisWeek

## Properties

### Optional alwaysIncludeTime

alwaysIncludeTime: boolean

- Defined in utils/DateUtils.ts :146

### Optional includeTimeIfThisWeek

includeTimeIfThisWeek: boolean

- Defined in utils/DateUtils.ts :131

### Optional includeTimeIfToday

includeTimeIfToday: boolean

- Defined in utils/DateUtils.ts :113

### Optional now

now: Date

- Defined in utils/DateUtils.ts :29

### Optional omitYearIfCurrentOne

omitYearIfCurrentOne: boolean

- Defined in utils/DateUtils.ts :89

### Optional predefinedFormat

predefinedFormat: string

- Defined in utils/DateUtils.ts :166

### Optional useLongDateFormat

useLongDateFormat: boolean

- Defined in utils/DateUtils.ts :96

### Optional useTodayYesterdayAndTomorrow

useTodayYesterdayAndTomorrow: boolean

- Defined in utils/DateUtils.ts :52

### Optional useWeekdayIfThisWeek

useWeekdayIfThisWeek: boolean

- Defined in utils/DateUtils.ts :72

### Hierarchy

- IDateToStringOptions